SSO (single sign-on) is being reconfigured. Maintenance started Jul 16 2:20PM UTC and will last 1 hour. Password-enabled login should still work.
Bug 1789748 - [Kuryr] Cluster destroy command timesout
Summary: [Kuryr] Cluster destroy command timesout
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.3.z
Assignee: Luis Tomas Bolivar
QA Contact: Jon Uriarte
URL:
Whiteboard:
Depends On: 1789746
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-10 10:44 UTC by Luis Tomas Bolivar
Modified: 2020-02-19 05:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1789746
Environment:
Last Closed: 2020-02-19 05:39:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2903 None closed Bug 1789748: Ensure enough number of retries for cluster with Kuryr SDN 2020-02-11 08:46:23 UTC
Red Hat Product Errata RHBA-2020:0492 None None None 2020-02-19 05:40:02 UTC

Description Luis Tomas Bolivar 2020-01-10 10:44:28 UTC
+++ This bug was initially created as a clone of Bug #1789746 +++

When using Kuryr SDN the number of resources created on the
OpenStack side is way larger than for the OpenShift SDN case.
For this reason, as there is no specific order for the resources
to be deleted, the chances of the deletion of one resource (e.g.,
a network) being blocked by the deletion of another (e.g. a port
on that network) are higher, thus needing more retries or the
destroy command times out

Comment 2 Jon Uriarte 2020-02-12 08:45:32 UTC
Verified in 4.3.0-0.nightly-2020-02-11-113855 on top of OSP 13 2020-01-15.3.

Cluster deletion works, all the resources are deleted and no time-out is reached.

Comment 4 errata-xmlrpc 2020-02-19 05:39:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0492


Note You need to log in before you can comment on or make changes to this bug.